Getnet DocsGetnet Docs

Get a list of all subscriptions events messages based on filters

GET/dpm/webhooks/v1/subscriptions/{event_name}/events

Send your specific filters to obtain a list of messages. The limit of messages is 1000. The default pagination is 20 messages per page.

Path Parameters

event_namestringrequired

Subscription identification

Query Parameters

notification_idstring

Filter by notification identifier.

payment_idstring

Filter by payment identifier.

statusstring

Filter by event status.

start_datestring

Filter events created on or after this date (YYYY-MM-DD).

end_datestring

Filter events created on or before this date (YYYY-MM-DD).

limitinteger

Limit results per page.

pageinteger

Number of the page where pagination starts

sortstring

Field to perform the sorting

sort typestring

order type.: ASC - ascending. DESC - descending.

Response

Subscription event list

statusstring
messagestring
dataobject[]

List of event notification records for a subscription.

Show data properties
notification_idstring<uuid>

Unique identifier for the notification

seller_idstring<uuid>

Seller identifier

payment_idstring<uuid>

Payment identifier

subscription_idstring<uuid>

Subscription identifier

event_idstring<uuid>

Event identifier

event_name"APPROVED_TRANSACTIONS" | "AUTHORIZED_TRANSACTIONS" | "REJECTED_TRANSACTIONS" | "REFUNDED_TRANSACTIONS" | "CANCELLED_TRANSACTIONS" | "CAPTURED_TRANSACTIONS" | "CARD_UPDATE" | "PIX_APPROVED_TRANSACTIONS" | "PIX_CANCELED_TRANSACTIONS" | "BOLETO_REGISTERED_TRANSACTIONS"

Name of the event

dataobject

Event payload data

status"pending" | "success" | "failure"

Current status of the event notification

created_atstring<date-time>

Timestamp when the event was created

updated_atstring<date-time>

Timestamp when the event was last updated

Bad request. Notification bad request.

Internal server error

messagestring

Brief summary of the reported issue

detailsobject[]

Array of errors. The object type varies depending on the error context.

Request
curl -X GET "https://api.pre.globalgetnet.com/dpm/webhooks/v1/subscriptions/<event_name>/events?notification_id=<notification_id>&payment_id=<payment_id>&status=<status>&start_date=<start_date>&end_date=<end_date>&limit=<limit>&page=<page>&sort=<sort>&sort type=<sort type>"
Response
{
  "status": "success",
  "message": "Operation completed successfully",
  "data": [
    {
      "notification_id": "c26a7498-c816-4227-bdab-362d3468dca9",
      "seller_id": "19ffd677-3691-4c4d-88c9-79cc91b95c0d",
      "payment_id": "4b9566bc-d6f4-4e71-aeda-09ee29a0cfc5",
      "subscription_id": "ab7c729c-2fbc-4259-a4fb-f74dd07c7a0e",
      "event_id": "c26a7498-c816-4227-bdab-362d3468dca9",
      "event_name": "APPROVED_TRANSACTIONS",
      "data": {},
      "status": "pending",
      "created_at": "2025-12-03T16:50:04.404Z",
      "updated_at": "2025-12-03T16:50:04.404Z"
    }
  ]
}